/*
 *  defs.h: tables
 *
 *  Copyright (C) 2010- John Coppens (john@jcoppens.com)        
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

typedef struct {
  char *name; 
  char **table;
} conversion_type;

extern	char	*conv_lengths[];
extern	char	*conv_areas[];
extern	char	*conv_volumes[];
extern	char	*conv_masses[];
extern	char	*conv_speeds[];
extern	char	*conv_powers[];
extern	char	*conv_forces[];
extern	char	*conv_accelerations[];
extern	char	*conv_temperatures[];
extern	char	*conv_angles[];
extern	char	*conv_pressures[];

extern	conversion_type	conversions[];
