/*                                                                                 
 *  main.h: Main program
 *
 *  Copyright (C) 2010- John Coppens (john@jcoppens.com)        
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <gtk/gtk.h>

enum {	DBG_COMMAND	= 1 << 0,
	DBG_REPLY	= 1 << 1,
	DBG_ERRORS	= 1 << 2
};

extern GtkWidget *MainWindow;
extern GtkWidget *PrefWindow;
extern GtkWidget *ConversionsWindow;
extern GtkWidget *VariablesWindow;
extern GtkWidget *InspectorWindow;
extern GtkWidget *ExtrasPopup;
extern GtkWidget *ResultPopup;
extern GtkWidget *NrDigitsPopup;
extern GtkWidget *AddVariableWindow;

extern unsigned debug;
